<?php

  dl('../mapserver/bin/php_mapscript_502.so');
  $query ="( [TJ] > -10 AND [TJ] < -5 )"; 
 
  // 1st variant
  $map = ms_newMapObj('') or die('Unable to open mapfile.');

  // Dynamic Symboldefinition
  $nId = ms_newsymbolobj($map, "kreis");
  $oSymbol = $map->getsymbolobjectbyid($nId);
  $oSymbol->set("filled", MS_TRUE);
  $oSymbol->set("type", MS_SYMBOL_ELLIPSE);
    
  $aPoints[0] = 1;
  $aPoints[1] = 1;
  $oSymbol->setpoints($aPoints);

  $map -> web -> set ("imagepath","/home/nicol/public_html/mapserver/tmp/");
  $map -> web -> set ("imageurl", "/~nicol/mapserver/tmp/");
  $map -> set ("width", 300);
  $map -> set ("height", 300);
  $map -> selectOutputFormat('PNG');
  $map -> setExtent(-90,-180,90,180);

  // Layer definition
  $Layer = ms_newLayerObj($map); 
  $Layer -> set("name","klima");
  $Layer -> set("status", MS_ON);
  $Layer -> set("data","/tmp/tmp_klima");
  $Layer -> set("type", MS_LAYER_POINT );
  $Layer -> set("template", "dummy.html");

  $poClass = ms_newClassObj($Layer);
  $poClass -> setExpression( $query );
  $styleObj = ms_newStyleObj($poClass);
  $styleObj -> color -> setRGB ( 255, 0, 0 );
  $styleObj -> outlinecolor -> setRGB ( 0 , 0, 0);
  $styleObj -> set("symbolname", "kreis");
  $styleObj -> set("size", 10);
  $poClass -> set("name", "Klimastationen");

  $ndClass= ms_newClassObj($Layer);
  $ndClass -> setExpression( "([TJ] > -5 AND [TJ] < 0)" );
  $ndstyleObj = ms_newStyleObj($ndClass);
  $ndstyleObj -> color -> setRGB ( 255, 0, 255 );
  $ndstyleObj -> outlinecolor -> setRGB ( 0 , 0, 0);
  $ndstyleObj -> set("symbolname", "kreis");
  $ndstyleObj -> set("size", 10);
  $ndClass -> set("name", "Klimastationen - 2");

  include('kq.php');


  $img = $map -> drawquery();
  $url = $img->saveWebImage();
  $img->free();

  printf("<IMG SRC=%s>\n", $url);

?>
